ListLBHealthChecks

1 - 1.2

get /v1/lb-health-checks

Description

LB 헬스 체크 목록을 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
LB 헬스 체크명
Example : Test-LbMonitor-01
any of [string, null]None
queryprotocol
optional
프로토콜
Example : ['TCP', 'UDP']
any of [array[enum (TCP, HTTP, HTTPS)], enum (TCP, HTTP, HTTPS), null]None
querysubnet_id
optional
Service Subnet ID
Example : 60fba45cb6c811efba41ba92e4fe7200
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLbHealthCheckListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-health-checks

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "lb_health_checks": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_type": "DEFAULT",
            "id": "46c681018e33453085ca7c8db54e0076",
            "lb_server_group_count": 2,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "Test-LbMonitor-01",
            "protocol": "TCP",
            "state": "ACTIVE",
            "subnet_id": "60fba45cb6c811efba41ba92e4fe7200"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2 - 1.1

get /v1/lb-health-checks

Description

LB 헬스 체크 목록을 조회한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
LB 헬스 체크명
Example : Test-LbMonitor-01
any of [string, null]None
queryprotocol
optional
프로토콜
Example : ['TCP', 'UDP']
any of [array[enum (TCP, HTTP, HTTPS)], enum (TCP, HTTP, HTTPS), null]None
querysubnet_id
optional
Service Subnet ID
Example : 60fba45cb6c811efba41ba92e4fe7200
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLbHealthCheckListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-health-checks

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "lb_health_checks": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_type": "DEFAULT",
            "id": "46c681018e33453085ca7c8db54e0076",
            "lb_server_group_count": 2,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "Test-LbMonitor-01",
            "protocol": "TCP",
            "state": "ACTIVE",
            "subnet_id": "60fba45cb6c811efba41ba92e4fe7200"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}